using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;

namespace APT.BaseData.Domain.Entities.FM
{
    [Description("人员信息")]
    public partial class T_FM_PERSON : MesEntityBase
    {
        /// <summary>
        /// 姓名
        /// </summary>
        [Description("姓名")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(20)]
        public string NAME { get; set; }

        /// <summary>
        /// 名字拼音
        /// </summary>
        [Description("名字拼音")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(50)]
        public string NAME_ACRONYM { get; set; }

        /// <summary>
        /// 员工编号
        /// </summary>
        [Description("员工编号")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(20)]
        public string CODE { get; set; }

        /// <summary>
        /// 性别
        /// </summary>
        [Description("性别")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(20)]
        [EnumName("FMSexEnum")]
        public int SEX { get; set; }

        /// <summary>
        /// 部门ID
        /// </summary>
        [Description("部门ID")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldForeignKey("Nav_DepartMent")]
        public Guid? DEPARTMENT_ID { get; set; }

        /// <summary>
        /// 联系电话
        /// </summary>
        [Description("联系电话")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(20)]
        public string TEL { get; set; }

        /// <summary>
        /// 邮箱
        /// </summary>
        [Description("邮箱")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(50)]
        public string EMAIL { get; set; }

        /// <summary>
        /// 备注
        /// </summary>
        [Description("备注")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldLength(200)]
        public string REMARK { get; set; }

        /// <summary>
        /// 是否离职
        /// </summary>
        [Description("是否离职")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        public bool IS_QUIT { get; set; }

        /// <summary>
        /// 部门
        /// </summary>
        [Description("导航：部门")]
        public virtual T_FM_DEPARTMENT Nav_DepartMent { get; set; }
        /// <summary>
        /// 岗位
        /// </summary>
        [Description("岗位")]
        [FormFieldTable]
        [FormFieldEdit]
        [FormFieldQuery]
        [DataFieldForeignKey("Nav_Post")]
        public Guid? POST_ID { get; set; }
        /// <summary>
        /// 导航：岗位
        /// </summary>
        [Description("导航：岗位")]
        public virtual T_FM_USER_POST Nav_Post { get; set; }

        /// <summary>
        /// 部门
        /// </summary>
        [Description("用户表")]
        public virtual T_FM_USER Nav_User { get; set; }


        /// <summary>
        /// 头像文件
        /// </summary>
        [Description("导航：签名照片")]
        public virtual ICollection<T_FM_TEAM_PERSON> Nav_TeamPersons { get; set; }
    }
}
